#
# spec file for package l2tp-ipsec-vpn-daemon (Version 0.9.9)
#
# Copyright 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

%define name l2tp-ipsec-vpn-daemon
%define version 0.9.9

Name:      %{name}
Version:   %{version}
Release:   42.1
Summary:   Daemon for L2tpIPsecVpn GUI
Group:     Productivity/Networking/Security
License:   GPL-3.0
URL:        https://sourceforge.net/projects/l2tp-daemon/
Source:     http://downloads.sourceforge.net/project/l2tp-ipsec-vpn/%{name}/%{version}/%{name}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build

BuildRequires: gcc-c++

BuildRequires: qt4-devel

Requires: openswan >= 2.6.23, xl2tpd >= 1.2.4

%description
This daemon is exclusively used by the L2TP over IPsec Manager GUI
application in order to execute openswan and xl2tp commands as root
on behalf of the GUI client.

This daemon is only useful in combination with the GUI client
installed with the l2tp-ipsec-vpn package.

%prep
%setup -n %{name}

%build
%{__make} %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%{_exec_prefix}/lib/%{name}

%if 0%{?fedora_version}
/etc/rc.d/init.d/l2tp-ipsec-vpn-daemon
%endif
/etc/rc.d/init.d/l2tp-ipsec-vpn-daemon

%if 0%{?suse_version}
%{_sysconfdir}/init.d/%{name}
%{_exec_prefix}/sbin/%{name}
%endif

%if 0%{?ubuntu_version}
%{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/default/%{name}
%endif

%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}
%if 0%{?suse_version}
test -d %{buildroot}%{_exec_prefix}/sbin || %{__mkdir} %{buildroot}%{_exec_prefix}/sbin
(
cd %{buildroot}%{_exec_prefix}/sbin
ln -s %{_sysconfdir}/init.d/%{name} %{name}
) || true
%{__sed} -i 's/2 3 4 5/2 3 5/' %{buildroot}%{_sysconfdir}/init.d/%{name}
%endif

%post
%if 0%{?suse_version}
%{fillup_and_insserv -f -y %{name}}
%endif
%if 0%{?fedora_version}
/sbin/chkconfig --add %{name}
%endif
#if [ "$1" -eq 1 ]; then
   /sbin/service %{name} start >/dev/null 2>&1 || true
#fi

%preun
# if daemon is running try to terminate it
%if 0%{?suse_version}
%stop_on_removal %{name}
%else
if [ "$1" -eq 0 ]; then
   /sbin/service %{name} stop >/dev/null 2>&1 || true
   /sbin/chkconfig --del %{name}
fi
%endif
# Remove runtime directory
if [ "$1" -eq 0 ]; then
%{__rm} -rf %{_localstatedir}/run/L2tpIPsecVpnControlDaemon
fi

%postun
%if 0%{?suse_version}
%restart_on_update %{name}
%insserv_cleanup
%else
if [ "$1" -eq 1 ]; then
  /sbin/service %{name} restart >/dev/null 2>&1 || true
fi
%endif


%clean
%{__rm} -rf %{buildroot}

%changelog
* Sun May 6 2012 Werner Jaeger <werner_jaeger@web.d> - 0.9.9-1
- initial release

